<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="setting">
      <h2 data-cy="settingDetailsHeading"><span jhiTranslate="jokegeneratorApp.setting.detail.title">Setting</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ setting.id }}</span>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.setting.restaurant">Restaurant</span></dt>
        <dd>
          <div *ngIf="setting.restaurant">
            <a [routerLink]="['/restaurant', setting.restaurant?.id, 'view']">{{ setting.restaurant?.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.setting.menu">Menu</span></dt>
        <dd>
          <div *ngIf="setting.menu">
            <a [routerLink]="['/menu', setting.menu?.id, 'view']">{{ setting.menu?.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.setting.article">Article</span></dt>
        <dd>
          <div *ngIf="setting.article">
            <a [routerLink]="['/article', setting.article?.id, 'view']">{{ setting.article?.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="jokegeneratorApp.setting.user">User</span></dt>
        <dd>
          <div *ngIf="setting.user">
            <a [routerLink]="['/pos-user', setting.user?.id, 'view']">{{ setting.user?.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/setting', setting.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
